Catmandu::Fix::Condition::all_equal(3pm)

NAME
Catmandu::Fix::Condition::all_equal - Execute fixes when all path values equal a string value

DESCRIPTION
This fix is meant as an simple alternative to Catmandu::Fix::Condition::all_match. No regular expressions are involved. String are compared using the regular operator 'eq'.

SYNOPSIS
   # all_equal(X,Y) is true when value of X == 'Y'
   if all_equal('year','2018')
    add_field('my.funny.title','true')
   end

   # all_equal(X,Y) is false when value of X == 'Ya'

SEE ALSO
Catmandu::Fix , Catmandu::Fix::Condition::any_equal